package com.xlht.xlhtproject.domain;

import java.math.BigDecimal;

import com.xlht.xlhtproject.respParse.bean.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 指标配置对象 t_xlht_conf
 * 
 * @author slibra
 * @date 2024-10-13
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TXlhtConf extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 最小投药量 */
    private BigDecimal minAddAmount;

    /** 最大投药量 */
    private BigDecimal maxAddAmount;

    /** 最小进水流量 */
    private BigDecimal minJsll;

    /** 最大进水流量 */
    private BigDecimal maxJsll;

    /** 最小进水cod量 */
    private BigDecimal minJsCod;

    /** 最大进水cod量 */
    private BigDecimal maxJsCod;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    private Long revision;


}
